> ## Documentation Index
> Fetch the complete documentation index at: https://microstrate-1133-notifications-prefs.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete API key

> Delete an API key.
- A key can be delted by providing the full key or by id.
- Deleted API keys cannot be recovered



## OpenAPI

````yaml /api-reference/endpoint/accounts/openapi.json delete /accounts/api-key
openapi: 3.0.3
info:
  title: quiva.ai Gateway
  description: >-
    API for managing accounts, users, authentication, and payments in the
    quiva.ai platform
  version: 1.0.0
  contact:
    name: quiva.ai Support
    url: https://app.quiva.ai
servers:
  - url: https://api.quiva.ai
    description: Production API server
security:
  - bearerAuth: []
  - apiKeyAuth: []
tags:
  - name: Account Management
    description: Operations related to account creation, updating, and deletion
  - name: User Management
    description: Operations related to user creation, updating, and deletion
  - name: Authentication
    description: Operations related to authentication and session management
  - name: API Keys
    description: Operations related to API key management
  - name: Multi-Factor Authentication
    description: Operations related to MFA setup and verification
  - name: Payment
    description: Operations related to subscription and payment management
  - name: Mesh Nodes
    description: Operations related to mesh node management
paths:
  /accounts/api-key:
    delete:
      tags:
        - API Keys
      summary: Delete API key
      description: |-
        Delete an API key.
        - A key can be delted by providing the full key or by id.
        - Deleted API keys cannot be recovered
      operationId: deleteApiKey
      parameters:
        - name: key
          in: query
          description: Full API key (available for preview only on creation)
          required: false
          schema:
            type: string
        - name: id
          in: query
          description: Key id (available in the key list)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: API key deleted successfully
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/ApiKeyResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ApiKeyResponse:
      type: object
      properties:
        key:
          type: string
          description: API key
        name:
          type: string
          description: API key name
        created_on:
          type: string
          format: date-time
          description: Creation date
        expires_on:
          type: string
          format: date-time
          description: Expiration date
        creds:
          type: string
          description: API credentials
    Error:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````